# Interface SelectOptions

#### Hierarchy

- SelectOptions

- Defined in src/rule/Select.js:28

#####
Index

### Properties

active
choices
expression
isCustom
literal
lowerBoundary
name
operator
operators
propertyName
type
upperBoundary

## Properties

### active

active: boolean

(RuleOptions)

- Defined in src/rule/Select.js:30

### choices

choices: string[]

List of choices available for selection.

- Defined in src/rule/Select.js:29

### expression

expression: string | number

(RuleOptions)

- Defined in src/rule/Select.js:31

### isCustom

isCustom: boolean

(RuleOptions)

- Defined in src/rule/Select.js:33

### literal

literal: string | number | string[]

(RuleOptions)

- Defined in src/rule/Select.js:32

### lowerBoundary

lowerBoundary: number

(RuleOptions)

- Defined in src/rule/Select.js:34

### name

name: string

(RuleOptions)

- Defined in src/rule/Select.js:35

### operator

operator: string

(RuleOptions)

- Defined in src/rule/Select.js:36

### operators

operators: string[]

(RuleOptions)

- Defined in src/rule/Select.js:37

### propertyName

propertyName: string

(RuleOptions)

- Defined in src/rule/Select.js:38

### type

type: string

(RuleOptions)

- Defined in src/rule/Select.js:39

### upperBoundary

upperBoundary: number

(RuleOptions)

- Defined in src/rule/Select.js:40

Generated using TypeDoc